using System.CommandLine;
using MycroForge.CLI.Commands.Interfaces;

namespace MycroForge.CLI.Commands;

public partial class MycroForge
{
    public partial class Api
    {
        public class Run : Command, ISubCommandOf<Api>
        {
            public Run() : base("run", "Run your app")
            {
                this.SetHandler(ExecuteAsync);
            }

            private async Task ExecuteAsync()
            {
                await Bash.ExecuteAsync([
                    "source .venv/bin/activate",
                    "uvicorn main:app --reload"
                ]);
            }
        }
    }
}